Thread: [SailfishOS] Mapbox GL Native QML plugin
View Single Post
Posts: 1,745 | Thanked: 1,828 times | Joined on Dec 2010
#19
hmmm ive installed both opt-gcc6 and qmapboxgl but it still refuses to find the packages, for i486

22:41:31: Running steps for project harbour-uber...
22:41:31: Start Build Engine: The "Sailfish OS Build Engine" virtual machine is already running. Nothing to do.
22:41:31: Starting: "/home/mgh01/.config/SailfishOS-SDK/mer-sdk-tools/Sailfish OS Build Engine/SailfishOS-2.1.3.7-i486/qmake" /home/mgh01/Projects/harbour-uber/harbour-uber.pro -spec linux-g++-32 CONFIG+=debug CONFIG+=qml_debug
No provider of 'opt-gcc6' found.
No provider of 'qmapboxgl' found.
Building target platforms: i486-meego-linux-gnu
Building for target i486-meego-linux-gnu
error: Failed build dependencies:
opt-gcc6 is needed by harbour-uber-0.1-1.i486
qmapboxgl is needed by harbour-uber-0.1-1.i486
22:41:32: The process "/home/mgh01/.config/SailfishOS-SDK/mer-sdk-tools/Sailfish OS Build Engine/SailfishOS-2.1.3.7-i486/qmake" exited with code 1.
Error while building/deploying project harbour-uber (kit: SailfishOS-2.1.3.7-i486 (in Sailfish OS Build Engine))
When executing step "qmake"
22:41:32: Elapsed time: 00:01.
]

not sure if ive missed anything

project is here

https://github.com/ghosalmartin/harbour-uber

ah ignore me I wasnt installing with

sb2 -t SailfishOS-2.1.3.7-i486 -m sdk-install -R zypper in
but directly onto mersdk :P

Last edited by m4r0v3r; 2017-11-29 at 23:07.
 

The Following User Says Thank You to m4r0v3r For This Useful Post: